Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1597079 - Navigating back to Subscriptions from Add Subscriptions results in blank page.
Summary: Navigating back to Subscriptions from Add Subscriptions results in blank page.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Amir
QA Contact: Kedar Bidarkar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-02 02:24 UTC by Corey Welton
Modified: 2019-04-01 20:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:33:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 24140 None None None 2018-07-03 10:53:34 UTC

Description Corey Welton 2018-07-02 02:24:45 UTC
Description of problem:
When user clicks the "Add Subscriptions button on the Subs page, and then navigates back via the browser, s/he is welcomed with a blank page.

Version-Release number of selected component (if applicable):
Test in Chrome latest

6.4.0 Snap 10

How reproducible:


Steps to Reproduce:
1. Login and upload a manifest to an org; let it process. 
2. Navigate to 'Subscriptions'. Assure this page is populated.
3. Click the 'Add Subscriptions' button.
4. Hit the back button on the browser.

Actual results:
Blank page

Expected results:
User is returned to a populated Subscriptions page.

Additional info:

Comment 2 Tomas Strachota 2018-07-03 10:53:32 UTC
Created redmine issue https://projects.theforeman.org/issues/24140 from this bug

Comment 3 pm-sat@redhat.com 2018-07-11 12:19:45 UTC
Upstream bug assigned to afeferku@redhat.com

Comment 4 pm-sat@redhat.com 2018-07-11 12:19:48 UTC
Upstream bug assigned to afeferku@redhat.com

Comment 5 Brad Buckingham 2018-07-11 15:40:19 UTC
Moving to POST.  Fix is merged upstream.

Comment 6 Kedar Bidarkar 2018-07-16 08:40:21 UTC
The User is now taken back to populated Subscriptions page.

Verified with Sat6.4-snap-12

Comment 8 Bryan Kearney 2018-10-16 19:33:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.